sound juicer aac formatted files skip and...

Bug #95326 reported by Brian Harkness on 2007-03-24
38
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gstreamer0.10 (Ubuntu)
Low
Unassigned
rhythmbox (Ubuntu)
Low
Unassigned
sound-juicer (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: sound-juicer

Current feisty version: Sound-Juicer works well with MP3 but when AAC (mpeg4) format is selected, not only is the ripping about half the speed to do so with MP3 (8x as opposed to 14-18x), but the output files skip rhythmic manner and are not usable. Sound, pause, sound, pause. I have all of the appropriate AAC tools installed to my knowledge.

Another peculiarity: When I used "preferences" to create another profile, when "Edit Profiles" is selected, a window pops up, and you either try to edit a current profile or create a new one, another window pops up, but you cannot type in any fields until you close the prior one... and any new saved profile does not appear under "output format." I thought I would try 22050 instead of 44100. It is there, and active under "edit profiles" but not in my output format list.

daVe (fox-launchpad) wrote :

while i cannot attest to the problems attributed aac encoding within sound juicer, i can confirm the second part of this bug, known as 'another peculiarity'. the dialog box behaviour is indeed reproducible on my end under feisty, as is the inability to see any other output profiles when back at the preferences dialog under 'output format'.

Sebastien Bacher (seb128) wrote :

Thank you for your bug. What version of Ubuntu do you use? Could you attach an example to the bug?

Changed in sound-juicer:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: Unconfirmed → Needs Info
faithful (strangecode) wrote :

I've the same problem and I use Feisty. I've attached an example of a tipical extraction.

Mike (mtdalling) wrote :

daVe,

I wonder if you used the instructions here:

https://help.ubuntu.com/community/CDRipping

Note that that says:

"install the gstreamer0.8-faac and gstreamer0.8-ffmpeg packages to encode AAC files, and the gstreamer0.8-mad package to play them back."

However, I think the FAQ is in error. Surely the packages libfaac0 1.24 and faac 1.24 are needed as well.

I have to say that, even after getting those as well I couldn't make sound-juicer encode to AAC. However, I could do it with Grip. There's a howto here:

http://www.theengineer.org/~gbassett/grip_faac/

But note the settings there are a bit low. You'd need -q 150 and -c 22000 for a transparent encoding (roughly equivalent to 175kbps). Also note that Grip puts a bitrate of 128kbps in a box to be found on the "Options" tab under the "Encode" tab. You have to take that out, so that the box is blank, or Grip won't encode to a quality level, but will over-ride that and use FAAC to encode to a fixed bitrate of 128kbps.

That works for me; however, it should be noted that there's still a problem: the files get given the wrong MIME-type -- MPEG-4 video instead of MPEG-4 audio. It's all a bit of a dog's breakfast. MP4 is the latest audio standard from the Motion Picture Experts Group, intended to replace MP3, and the default for iTunes/iPod; yet it's difficult to get it to work on Ubuntu 7.04 even with the (possibly misleading) FAQs.

Sorry for the over-long post, guys. But I thought it was worth making the point that the odd skipping in these files may possibly not be caused by a bug in Sound-juicer, but might rather be down to not installing all the necessary packages.

Daniel Holbach (dholbach) wrote :

Does that fix the problem?

Sebastien Bacher (seb128) wrote :

We are closing this bug report as it lacks the information, described in the previous comments, we need to investigate the problem further. However, please reopen it if you can give us the missing information and don't hesitate to submit bug reports in the future.

Changed in gstreamer0.10:
importance: Undecided → Low
status: New → Invalid
Changed in sound-juicer:
status: Incomplete → Invalid
cometdog (ericctharley) wrote :

I have the same problem, AAC audio ripped by sound juicer is skipping.

What information do you lack on this bug? Please let me know and I'll try to provide some.

Running Feisty Fawn. Originally installed ugly codecs, etc., some stuff from multiverse, I think.

Sound Juicer appears to rip the AAC file correctly, results in a file on the disk of reasonable size. Time for the tracks as displayed in Amarok, or by viewing properties in Nautilus, are much longer than the original play times (~12 minutes instead of the original 3, for example). When playing the files they consist of a fraction of a second of audio, followed by a silent gap, then more audio, more silence, etc.

I looked at the instructions given by Mike above. I had originally followed some different instructions somewhere for getting the questionable codecs working, so I looked at the packages I had installed. I had many things under gstreamer0.10 installed (such as -ffmpeg, -plugins-good, -plugins-bad, -plugins-ugly, and more), but none of the gstreamer0.8 packages. Per the instructions above I installed gstreamer0.8-faac, -mad, -faad for good measure, and all dependencies. Also installed libfaac0 1.24 and faac 1.24.

The problem still exists -- no discernable difference between AAC ripping before or after installing the extra packages.

Changed in sound-juicer:
status: Invalid → New
Sebastien Bacher (seb128) wrote :

Could you describe easy steps to trigger the bug?

Changed in sound-juicer:
status: New → Incomplete
Fabian Zeindl (fabian-xover) wrote :

* Install the following gstreamer-10-plugins (some of them in multiverse and universe): base, good, bad, bad-multiverse, ugly, ugly-multiverse, ffmpeg
* Do NOT install any gstreamer-0.8 packages
* insert a CD and open soundjuicer
* create/select a pipeline like this: audio/x-raw-int,rate=44100,channels=2 ! faac ! ffmux_mp4
* rip the CD
* listen to the tracks

I see this bug too, and not only on my computer but on any ubuntu-machine I use.

Fabian Zeindl (fabian-xover) wrote :

this bug should have all necessary information. if not describe what exactly you need.

Changed in sound-juicer:
status: Incomplete → New
Changed in gstreamer0.10:
status: Invalid → New
faithful (strangecode) wrote :

This problem perisist on Gutsy.
Why this bug it's a low priority?

Cymro (chris-clebin) wrote :

Could someone explain why this is this "low priority"?

We talking about the most popular consumer Linux distro, one of the top 2 or 3 music formats, as used by the iPod (!) and a huge number of other music players and mobile phones. If you use Ubuntu and AAC, the software is broken.

Sebastien Bacher (seb128) wrote :

creating extra bug mail activity for the maintainer by adding yet another comment asking about the settings will not make you get a reply, quite the contrary. The bug has almost no subscriber, only 1 duplicate, doesn't happen to everybody, the format is not support by the standard installation due to since it's a commercial one and there is thousand of desktop bugs and only a limited number of people working on those

Fabian Zeindl (fabian-xover) wrote :

AAC is as far as I know not a proprietary format. It's even standardised by ISO.
If the format is not supported by the standard installation, then why does soundjuicer offer it?

faithful (strangecode) wrote :

Sorry, we don't want to bother mantainers with our complains. We only consider this bug not a low priority because of the impact in our life. We only request more attention for a bug that is present unaltered in 2 Ubuntu releases and manifest itself in every standard install i've done.

Sebastien Bacher (seb128) wrote :

distributing an aac decoder requires a license patent agreement, sound-juicer offers it because you installed plugins from multiverse most likely. There is ten of thousands of bugs annoying users and the number of duplicates and subscribers are used to determine on many users are annoyed by the issue. You might be frustrated by this bug that doesn't make it an high importance for the other users though

On 25 Nov 2007, at 17:30, Sebastien Bacher wrote:

> distributing an aac decoder requires a license patent agreement,
> sound-
> juicer offers it because you installed plugins from multiverse most
> likely. There is ten of thousands of bugs annoying users and the
> number
> of duplicates and subscribers are used to determine on many users are
> annoyed by the issue.

A sensible way to work.

> You might be frustrated by this bug that doesn't
> make it an high importance for the other users though

The bug's not high importance for me, and I thought I'd unsubscribed
from it -- apparently not, as I'm still getting these notifications.
(I'll have to check.)

Of course, that doesn't mean that I don't care about being able to use
MP4 audio. Neither does it mean that I think MP4 audio an unimportant
format strategically. It's merely that I've realized that it's better
to make other arrangements for encoding. (Of course, the same may
apply to others who haven't even bothered to subscribe.)

At least playback is there, and even if encoding could be done I doubt
anyone's going to compete on quality with either Nero's AAC encoder or
the one that QuickTime 7.3 is using, anyway.

Perhaps any Ubuntu users who aren't dual-booting and who are
frustrated by this issue might try encoding to a lossless format, such
as FLAC, instead. They could then transcode from FLAC to AAC using
Foobar2000 whenever they could get access to a Windows machine quite
easily provided Nero's codec was installed. Apparently, some people
have successfully used Nero under Wine, too:

<http://wiki.hydrogenaudio.org/index.php?title=Linux_and_Nero_AAC>

--
Michael

Brian Alexander (balexand) wrote :

Workaround:

Use abcde instead as described at https://help.ubuntu.com/community/CDRipping :

abcde -a cddb,read,encode,tag,move,playlist,clean -d /dev/cdrom -o m4a -V -x

Brian Alexander (balexand) wrote :

After using the command:

abcde -a cddb,read,encode,tag,move,playlist,clean -d /dev/cdrom -o m4a -V -x

to rip the AAC files, it played correctly in Rythmbox but when I copied the files to my iPod shuffle, they didn't play. I tried using Amarok to copy the same files to my iPod and they worked fine. I'm switching to Amarok because of this bug. I needed to install the package libxine1-ffmpeg to get the AAC files to play in Amarok. I'm using Gutsy.

Matt Hanyok (matthew-hanyok) wrote :

I'm also having this issue. Ubuntu Gutsy.

I noticed from the old documentation that there was a gstreamer0.8-faac package required in addition to the gstreamer0.8-ffmpeg. I looked through the repositories to see if there were equivalents to these for gstreamer0.10 and saw a gstreamer0.10-ffmpeg but not a gstreamer0.10-faac. Does such a package exist or has its functionality been rolled into the ffmpeg package (or put somewhere else entirely)?

I've followed the steps in the current help documentation and I still get these corrupted files when ripping.

I think this issue is related to bug 164265. Is it possible that it's something in the part of the gstreamer pipeline called when AAC encoding is being done? Maybe something in the plugin that causes incorrect formatting in the file when it is created?

Brian,

The issue with Rhythmbox corrupting the files after transfer to an iPod is detailed in the bug I linked above. I found that Banshee and Exaile had no problem syncing with my iPod (4th gen, greyscale, 20gb, firmware 3.1.1); neither attempted transcoding like Rhythmbox did.

Fabian Zeindl (fabian-xover) wrote :

I added a duplicate and found another related bug: #106322.

Is there at least some workaround for this?

Matt Hanyok (matthew-hanyok) wrote :

The only workaround I know of is to use an application that doesn't rely on gstreamer for the encoding. The "abcde" program that some have mentioned uses the plain faac I think, so it isn't affected by this; I haven't tried it myself. Rhythmbox still tries its transcoding weirdness when iPod syncing even if you rip them with that, though, so you'd have to use Banshee or Exaile for syncing songs to one.

I'm wondering if this will be fixed in the course of the Hardy development cycle. I don't have a system I can run Alpha software on right now, sadly, otherwise I'd start using those releases and making reports on it.

On Jan 3, 2008 3:38 PM, Matt Hanyok <email address hidden> wrote:
> The only workaround I know of is to use an application that doesn't rely
> on gstreamer for the encoding. The "abcde" program that some have
> mentioned uses the plain faac I think, so it isn't affected by this; I
> haven't tried it myself. Rhythmbox still tries its transcoding weirdness
> when iPod syncing even if you rip them with that, though, so you'd have
> to use Banshee or Exaile for syncing songs to one.

I previously utilized gtkpod to sync. However, I converted my iPod
firmware to Rockbox and have never looked back. Now I can just drop
songs on the storage volume without dealing with that iPod database...

> I'm wondering if this will be fixed in the course of the Hardy
> development cycle. I don't have a system I can run Alpha software on
> right now, sadly, otherwise I'd start using those releases and making
> reports on it.

I have been running Hardy since alpha1. I still think gstreamer for
aac is broken. Now I just use faac, when I have to. But I also
converted all my music to OGG/Vorbis and audiobooks to OGG/Speex when
I moved to Rockbox...
--
Kristian Erik Hermansen
"Know something about everything and everything about something."

Silvio Arcangeli (sarcangeli) wrote :

I experience the same exact issue when ripping CDs with Rhythmbox, on Ubuntu Gutsy (just standard plain installation with the addition of multiverse codecs).
This bug is really annoying, i basically can't use my ipod with Ubuntu, and i have to dual-boot to the other system i won't mention to rip cds to ipod... It would be great if this could be fixed!

On Feb 11, 2008 1:31 PM, Silvio Arcangeli <email address hidden> wrote:
> I experience the same exact issue when ripping CDs with Rhythmbox, on Ubuntu Gutsy (just standard plain installation with the addition of multiverse codecs).
> This bug is really annoying, i basically can't use my ipod with Ubuntu, and i have to dual-boot to the other system i won't mention to rip cds to ipod... It would be great if this could be fixed!

This bug, and others, made me consider an alternative firmware. Now I
don't use any proprietary AAC or MP3 formats. I use OGG/FLAC/SPX on
my Rockbox firmware iPod now...
http://www.rockbox.org/
--
Kristian Erik Hermansen
"Know something about everything and everything about something."

Fabian Zeindl (fabian-xover) wrote :

Kristian Erik Hermansen wrote:
> This bug, and others, made me consider an alternative firmware. Now I
> don't use any proprietary AAC or MP3 formats. I use OGG/FLAC/SPX on
> my Rockbox firmware iPod now...
> http://www.rockbox.org/

The problem with rockbox is, that it isn't available for IPods of the last generation, and probably never will be. (And there are still people in the world who want to _keep_ the apple firmware, because they like it. Me for example :-) )

Sebastien Bacher (seb128) wrote :

does anybody still get the issue in hardy and could describe easy steps to trigger the bug there?

Changed in rhythmbox:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete
Changed in gstreamer0.10:
status: New → Incomplete
Changed in sound-juicer:
status: New → Incomplete
Matt Hanyok (matthew-hanyok) wrote :

I just tested this. It's... strange.

The files work better now than they did before; for example they are now showing the proper run time of a file when played back in totem or VLC. The skipping isn't as bad but sound is very clipped, sounds tinny / vaguely underwater and occasionally runs over itself (if that makes sense... like some parts echo for a while) when I play the file.

This is in Ubuntu Hardy, 64-bit, with the latest updates (including those in proposed) as of half an hour ago.

Steps to duplicate:

1) Open Sound Juicer and Insert CD.
2) Make sure that output format is selected as "CD Quality, AAC (MPEG-4 audio)."
I don't remember if that is a default profile. Here is the gstreamer pipeline used:

audio/x-raw-int,rate=44100,channels=2 ! faac ! ffmux_mp4

3) Extract audio

I was trying to find some classical music on CD so I could post a sample file but I can't find half of my CDs right now and rather wouldn't upload a file of copyright-protected music.

The audio distortion is VERY noticeable if you rip a song with vocals.

lummie (matt-lummie) wrote :

I agree, the audio quality is 100% better in hardy, certainly acceptable. However, although the files play back on the pc, when transferred to an iopd (ipod touch in this case) they don't play. Just plays no noise for the length of the track....

Sebastien Bacher (seb128) wrote :

the issue is not likely an application one rather due to gstreamer

Changed in rhythmbox:
status: Incomplete → Invalid
Changed in sound-juicer:
status: Incomplete → Invalid
Sebastien Bacher (seb128) wrote :

do you consider the issue fixed in hardy?

I will not be testing it, but others should feel free to reopen this
bug if they feel necessary. Regards...

On 10/10/08, Sebastien Bacher <email address hidden> wrote:
> do you consider the issue fixed in hardy?
>
> --
> sound juicer aac formatted files skip and...
> https://bugs.launchpad.net/bugs/95326
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Sent from my mobile device

Kristian Erik Hermansen
http://kristian-hermansen.blogspot.com

Pedro Villavicencio (pedro) wrote :

closing the bug then, thanks.

Changed in gstreamer0.10:
status: Incomplete → Invalid
anoop (pv-anoop-pv) on 2010-01-17
Changed in rhythmbox (Ubuntu):
status: Invalid → Fix Committed
Toon Verwaest (tverwaes) wrote :

I have had this problem for a long while as well, and just found this bugreport which does not seem to help at all. Now I just found that the skipping happens because of the fact that faac's default encoding profile (MAIN) seems to encode or at least play back with jitter/skipping. Switching to the profile to Low Complexity (fast) or Long Term Prediction (slow) seems to fix it. (profile 3, Scalable Sampling Rate, makes sound-juicer fail).

I will be using the following gstreamer pipeline from now on:

audio/x-raw-int,rate=44100,channels=2 ! faac bitrate=256000 profile=2 ! ffmux_mp4

(other options for faac can be found with "gst-inspect-0.10 faac"; testing pipelines can be done by starting sound-juicer from commandline and seeing the error-messages when sound-juicer tries to initialize a pipeline)

cheers,

Toon Verwaest (tverwaes) wrote :

Just found out that profile=4 encodes something semi-ok but it appears to still be played back broken. The noise is just more subtle (although too annoying to listen to with headphones).

And profile=2 has the problem that the track numbers are not added to the file. When I try to manually add them using rhythmbox itself, they only stay until I restart rhythmbox. When I add them using easytag, easytag finds them back after restarting easytag; although rhythmbox doesn't notice the difference. If anyone has a solution for this problem ... I again only find descriptions of this problem online.

Omer Akram (om26er) wrote :

could anyone confirm if the bug is fixed for them in Ubuntu 11.04?

Changed in sound-juicer (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
Changed in rhythmbox (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
status: Fix Committed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for rhythmbox (Ubuntu) because there has been no activity for 60 days.]

Changed in rhythmbox (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers